## PhoshGtkMountManager

PhoshGtkMountManager — Provides the org.Gtk.GtkMountOperationHandler DBus interface

## Functions

PhoshGtkMountManager * | phosh_gtk_mount_manager_new ()

## Signals

void | new-prompt | Run Last

## Types and Values

#define | PHOSH_TYPE_GTK_MOUNT_MANAGER
| PhoshGtkMountManager

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── PhoshDBusMountOperationHandlerSkeleton
                ╰── PhoshGtkMountManager

## Implemented Interfaces

PhoshGtkMountManager implements GDBusInterface and PhoshDBusMountOperationHandler.

## Description

The interface is responsible to handle the ui parts of a GtkMountOperation.

## Functions

### phosh_gtk_mount_manager_new ()

    PhoshGtkMountManager *
    phosh_gtk_mount_manager_new (void);

## Types and Values

### PHOSH_TYPE_GTK_MOUNT_MANAGER

    #define PHOSH_TYPE_GTK_MOUNT_MANAGER             (phosh_gtk_mount_manager_get_type ())

### PhoshGtkMountManager

    typedef struct _PhoshGtkMountManager PhoshGtkMountManager;

## Signal Details

### The `“new-prompt”` signal

    void
    user_function (PhoshGtkMountManager *self,
                   gpointer              user_data)

Emitted when a new prompt is shown

#### Parameters

self | The PhoshGtkMountManager emitting this signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last